%define name	ices
%define version	2.0.0
%define release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Source streaming for Icecast
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}.logrotate.bz2
BuildRequires:	libxml2-devel
BuildRequires:	libshout-devel >= 2.0-2mdk
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-buildroot
PreReq:		rpm-helper

%description
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server.

The primary example of a streaming server used is Icecast 2, although others
could be used if certain conditions are met.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.init
bzcat %{SOURCE2} > %{name}.logrotate
perl -pi -e 's|<background>0</background>|<background>1</background>|' conf/*.xml

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/%{name} $RPM_BUILD_ROOT%{_bindir}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 conf/ices-playlist.xml $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{name}.init $RPM_BUILD_ROOT%{_initrddir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 644 %{name}.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_var}/log/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO doc/*.html doc/*.css conf/*.xml
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_initrddir}/%{name}
%attr(-,ices,ices) %{_var}/log/%{name}

%changelog
* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-4mdk
- fix reload in initscript, HUP doesn't reload configuration

* Sat Apr 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-3mdk
- fix init script

* Fri Apr 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-2mdk
- buildrequires

* Fri Apr 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-1mdk
- new release
- logrotate

* Sat Aug 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3-2mdk
- rebuild for new python

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.3-1mdk
- 0.3
- init script
- run as ices user, ices group
- better default configuration
- all configuration files in %{_sysconfdir}/%{name}
- fixed python compilation

* Sat Mar 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-5mdk
- plf rebuild

* Fri Jan 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-4mdk
- rebuild
- merge plf options
- build with libshout (plf)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-3mdk
- rebuild against perl-thread

* Mon Jul 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-2mdk
- rebuild for new perl

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-3mdk
- fix libxml2 path

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.2-2mdk
- contributed by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- rpmlint fixes

* Fri Dec 14 2001 Olivier Thauvin 0.2.2-1mdkot
- First mdk release.
